> ## Documentation Index
> Fetch the complete documentation index at: https://docs-docflow.textin.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# レビュー規則を更新

> レビュー規則を更新します



## OpenAPI

````yaml /docflow-global/ja/rest-api/openapi.bundle.yaml post /api/app-api/sip/platform/v2/review/rule/update
openapi: 3.0.0
info:
  title: DocFlow API
  description: DocFlow REST API。ファイルアップロードとファイル処理結果の取得機能を提供します。
  version: 2.8.4
  contact:
    name: TextIn
    url: https://www.textin.ai/contact?type=27&sub_type=1
servers:
  - url: https://docflow.textin.ai
security:
  - ApiId: []
    SecretCode: []
tags:
  - name: ワークスペース管理
    description: ワークスペース関連 API
  - name: ファイルカテゴリ
    description: ファイルカテゴリ関連 API
  - name: ファイルカテゴリサンプル
    description: ファイルカテゴリサンプル関連 API
  - name: スマートレビュー
    description: スマートレビュー関連 API
  - name: 廃止済み
    description: 廃止済み API
paths:
  /api/app-api/sip/platform/v2/review/rule/update:
    post:
      tags:
        - スマートレビュー
      summary: レビュー規則を更新
      description: レビュー規則を更新します
      operationId: updateReviewRule
      requestBody:
        required: true
        content:
          application/json:
            schema:
              allOf:
                - type: object
                  properties:
                    workspace_id:
                      type: string
                      description: ワークスペース ID
                      example: '1234567890'
                    rule_id:
                      type: string
                      description: レビュー規則 ID
                      example: '31415926'
                - $ref: '#/components/schemas/ReviewRuleProperties'
      responses:
        '200':
          description: レビュー規則の更新に成功
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/CodeMessage'
components:
  schemas:
    ReviewRuleProperties:
      type: object
      properties:
        group_id:
          type: string
          description: レビュー規則グループ ID
          example: '31415926'
        name:
          type: string
          description: 規則名
          example: レビュー規則 1
        prompt:
          type: string
          description: 規則プロンプト
          example: レビュー規則プロンプト
        category_ids:
          type: array
          items:
            type: string
            description: カテゴリ ID
            example: '1234567890'
        risk_level:
          $ref: '#/components/schemas/RiskLevel'
        referenced_fields:
          type: array
          items:
            $ref: '#/components/schemas/ReviewRuleReferencedField'
    CodeMessage:
      type: object
      properties:
        code:
          type: integer
          description: ステータスコード
          example: 200
        msg:
          type: string
          description: ステータス説明
      required:
        - code
        - msg
    RiskLevel:
      type: integer
      description: |
        リスクレベル
        - 10: 高リスク
        - 20: 中リスク
        - 30: 低リスク
      enum:
        - 10
        - 20
        - 30
    ReviewRuleReferencedField:
      type: object
      properties:
        category_id:
          type: string
          description: カテゴリ ID
          example: '1234567890'
        category_name:
          type: string
          description: カテゴリ名
          example: インボイス
        fields:
          type: array
          items:
            $ref: '#/components/schemas/ReviewRuleField'
        tables:
          type: array
          items:
            type: object
            properties:
              table_id:
                type: string
                description: テーブル ID
                example: '1234567890'
              table_name:
                type: string
                description: テーブル名
                example: インボイステーブル
              fields:
                type: array
                items:
                  $ref: '#/components/schemas/ReviewRuleField'
    ReviewRuleField:
      type: object
      properties:
        field_id:
          type: string
          description: フィールド ID
          example: '1234567890'
        field_name:
          type: string
          description: フィールド名
          example: インボイスコード
  securitySchemes:
    ApiId:
      type: apiKey
      in: header
      name: x-ti-app-id
    SecretCode:
      type: apiKey
      in: header
      name: x-ti-secret-code

````